PYBLOSXOM-CMD(1)

NAME
pyblosxom-cmd - lightweight file-based weblog system written in Python

SYNOPSIS
pyblosxom-cmd [command]

DESCRIPTION
Pyblosxom comes with a command line tool called pyblosxom-cmd. It allows you to create new blogs, verify your configuration, run static rendering, render single urls, and run command line functions implemented in plugins.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-q, --quiet
    If the quiet flag is specified, then Pyblosxom will run quietly.

--config=CONFIG
    This specifies the directory that the config.py for the blog you want to work with is in. If the config.py file is in the current directory, then you don't need to specify this. All commands except the 'create' command need a config.py file.

  Commands:

test
    Tests installation and configuration for a blog.

generate
    Generates random entries and helps with your blog setup.

create
    Creates directory structure for a new blog.

staticrender
    Statically renders your blog into a HTML site.

renderurl
    Renders a single url of your blog.